//-------------------------------------------------------------------------
// 
// Copyright Institut Telecom 2008, 2009
// Licensed Materials, Program Property of Institut Telecom
// 
// This software module is an implementation of a part of one or more
// MPEG-4 tools as specified by the MPEG-4 standard (ISO/IEC 14496).
// ISO/IEC gives users of the MPEG-4 standard (ISO/IEC 14496) free
// license to this software module or modifications thereof for use in
// hardware or software products claiming conformance to the MPEG-4
// standard (ISO/IEC 14496).  Those intending to use this software module
// in hardware or software products are advised that its use may infringe
// existing patents.  The original developer of this software module and
// his/her company, the subsequent editors and their companies, and
// ISO/IEC have no liability for use of this software module or
// modifications thereof in an implementation.  Copyright is not released
// for non MPEG-4 standard (ISO/IEC 14496) conforming products.  Institut Telecom 
// retains full right to use the code for his/her own purpose, assign or donate 
// the code to a third party and to inhibit third parties from using the code for non MPEG-4 standard 
// (ISO/IEC 14496) conforming products. This copyright notice must be included
// in all copies or derivative works.
// 
//    AUTHORS:
//    Khaled Mammou
//
//
//    http://www-artemis.it-sudparis.eu/
//    
//    Khaled Mammou      (khaled_mamou@yahoo.fr)
//
//-------------------------------------------------------------------------

#include "utils.h"
void Write2Stream(unsigned char * & stream, unsigned int & compressedStreamSize, const void * source, unsigned int num)
{
	memcpy(stream, source, num);
	compressedStreamSize += num;
	stream += num;
}
void ReadFromStream(unsigned char * & stream, void * dest, unsigned int num)
{
	memcpy(dest, stream, num);
	stream += num;
}
void WriteStream2File(const char * fileName, const unsigned char * stream, unsigned int compressedStreamSize)
{
	FILE * out = fopen(fileName, "wb");
	fwrite((const char *) &compressedStreamSize, 1, sizeof(unsigned int), out);
	fwrite((const char *) stream, compressedStreamSize, sizeof(char), out);
	fclose(out);
}
unsigned char * ReadStream2File(const char * fileName,  unsigned int & compressedStreamSize)
{
	FILE * in = fopen(fileName, "rb");
	fread((char *) &compressedStreamSize, 1, sizeof(unsigned int), in);
	unsigned char * stream = new unsigned char[compressedStreamSize];
	fread((char *) stream, compressedStreamSize, sizeof(char), in);
	fclose(in);
	return stream;
}

