#pragma once

#include "utils.h"
#include "IndexedFaceSet.h"
#include "TFANConnectivityDecoder.h"
#include "TFANGeometryDecoder.h"
#include "SC3DMCHeader.h"

class TFANDecoder
{
	SC3DMCHeader * m_header;
	IndexedFaceSet * m_ifs;	
	int m_vertexOrderPres;
	int m_triangleOrderPres;
	unsigned char m_meshType;
	unsigned int m_streamSize;


public:
	inline void SetHeader(SC3DMCHeader * header) {m_header = header;}
	inline void SetIFS(IndexedFaceSet * ifs){ m_ifs = ifs;}
	inline IndexedFaceSet * GetIFS(){ return m_ifs;}
	inline unsigned int GetStreamSize(){ return m_streamSize;}
	
	
	void DecodeTFANData(unsigned char * &compressedStream);
	TFANDecoder(int vertexOrderPres, int triangleOrderPres): m_vertexOrderPres(vertexOrderPres), m_triangleOrderPres(triangleOrderPres), m_ifs(NULL), m_meshType(0), m_streamSize(0){};

	~TFANDecoder(void){};
};
